RUMP.HALT(1) | General Commands Manual | RUMP.HALT(1)

# NAME

rump.halt — halt a rump kernel

# SYNOPSIS

rump.halt | [-dhn]

# DESCRIPTION

The rump.halt utility exits a rump kernel. The file system cache, if present, is flushed. Since a rump kernel does not control its clients, they are not directly affected by rump.halt. However, they will be unable to request further services from the halted rump kernel.

The options are as follows:

-d
  Create a core dump. The core file is saved according to standard userland program coredump rules, and can be later examined with a debugger.
-h
  By default the process hosting the rump kernel exits. Using this option shuts down rump kernel activity, but does not cause the hosting process to exit.
-n
  Do not flush the file system cache. This option should be used with extreme caution. It can be used if a virtual disk or a virtual processor is virtually on fire.

# SEE ALSO

rump(3)

# HISTORY

The rump.halt command appeared in NetBSD 6.0.

# CAVEATS

While using -h makes it impossible to issue further system calls, it does not necessarily stop all activity in a rump kernel. It is recommended this option is used only for debugging purposes.

December 12, 2010 | NetBSD 6.0